Retrieve the authenticated account
GET
/api/v1/account
const url = 'https://api.stocksmith.io/api/v1/account';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.stocksmith.io/api/v1/account \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Account details
Media type application/json
object
account
required
object
id
required
Account ID
integer
name
required
Account name
string
currency_code
required
ISO 4217 currency code
string
time_zone
required
IANA time zone name
string
subscription_plan
Subscription plan name, or null if none
string
Example
{ "account": { "currency_code": "USD", "time_zone": "UTC" }}Missing or invalid Bearer token
Media type application/json
object
error
required
Error message
string
Example generated
{ "error": "example"}